Bug 1979984 - driver-toolkit gcc install unable to download extract-vmlinux script in ART builds
Summary: driver-toolkit gcc install unable to download extract-vmlinux script in ART b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Special Resource Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.z
Assignee: dagray
QA Contact: Lena Horsley
URL:
Whiteboard:
Depends On: 1979738
Blocks: 1985545
TreeView+ depends on / blocked
 
Reported: 2021-07-07 14:37 UTC by OpenShift BugZilla Robot
Modified: 2021-08-03 06:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-03 06:09:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 48 0 None open [release-4.8] Bug 1979984: Remove curl of extract-vmlinux 2021-07-07 14:38:16 UTC
Red Hat Product Errata RHBA-2021:2896 0 None None None 2021-08-03 06:10:11 UTC

Comment 3 Lena Horsley 2021-07-27 19:56:25 UTC
Verified in build: 4.8.0-0.nightly-2021-07-26-182557


1. Go to the OpenShift release nightly build page for the nightly build, click "Download the installer," and then click "release.txt."

2. Search for "driver-toolkit" and pull the corresponding image to your dev machine with the command:
podman pull --authfile /path/to/pullsecret <openshift_release_repo>/<corresponding_image_to_your_dev_machine>

3. Enter the following command from the terminal: 
podman run <image_from_previous_step> cat /tmp/kernel_info | grep -Eo "gcc version ([0-9\.]+)" | grep -Eo "([0-9\.]+)"

4. Enter the following command from the terminal:
podman run <image_from_previous_step> dnf list installed | grep gcc

5. Ensure that the output from step 3 matches the installed version of gcc from step 4


===========================================================================================================================================

Output for step #3:
8.4.1


Output for step #4:
gcc.x86_64                                    8.4.1-1.el8                          @rhel-8-appstream-rpms-x86_64
libgcc.x86_64                                 8.4.1-1.el8                          @System

Comment 5 errata-xmlrpc 2021-08-03 06:09:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2896


Note You need to log in before you can comment on or make changes to this bug.